# $Revision: 1.18 $, $Date: 2007/02/13 07:47:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	PDFLib
Summary:	PDFLib Perl module - simpler and more OO interface to pdflib
Summary(pl.UTF-8):	Moduł Perla PDFLib - prostszy i bardziej obiektowy interfejs do pdflib-a
Name:		perl-PDFLib
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/MS/MSERGEANT/%{pnam}-%{version}.tar.gz
# Source0-md5:	e22be28ee9a06c790484fdadf0558c82
Patch0:		%{name}-pdflib4.patch
BuildRequires:	pdflib-perl >= 4.0.3-11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	pdflib-perl >= 4.0.3-11
#Suggests:	pdflib-perl >= 5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PDFLib is a simpler, more OO interface to pdflib, available from
http://www.pdflib.com/. It makes creating PDFs from Perl fast, easy
and safe. Currently it supports text, images, graphics, and
getting/setting all parameters. It has builting support for several
paper sizes. It also takes care of starting/ending new pages, to try
and make sure that a valid PDF file is always created.

%description -l pl.UTF-8
PDFLib to prostszy, bardziej obiektowo zorientowany interfejs do
pdflib-a, dostępnego na http://www.pdflib.com/. Moduł ten czyni
tworzenie PDF-ów z Perla szybkim, łatwnym i bezpiecznym. Aktualnie
obsługuje tekst, obrazki, grafikę i odczytywanie/ustawianie wszystkich
parametrów. Ma wbudowaną obsługę kilku rozmiarów papieru. Moduł dba
o rozpoczynanie/kończenie stron, próbuje też zapewnić, aby zawsze
był tworzony poprawny PDF.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/PDFLib.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PDFLib.spec,v $
Revision 1.18  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.16  2006/10/27 20:55:16  qboosh
- updated to 0.14
- added pdflib4 patch to at least minimally work with pdflib 4.0.3

Revision 1.15  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.14  2004/11/03 22:30:38  paladine
- formatting

Revision 1.13  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.11  2004/05/06 18:20:50  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.9  2004/04/26 14:46:22  radek
- unified license information (greppable easier)

Revision 1.8  2004/04/22 20:41:10  agaran
- updated bconds to new style, noted that licence is 'same as perl itself'

Revision 1.7  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.1  2002/08/04 00:56:25  qboosh
- new

